Subject: [Ietf-calsify] Error in RFC 2445 regarding DTSTAMP being optional (in the grammar)

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Fri Jun 9 14:15:37 2006

Hi all,
While reading rfc 2445 for the ISOC calendar conformance, I found that the 
grammar for VEVENT, VTODO, VJOURNAL, VFREEBUSY all say that the dtstamp 
property is optional (but must not appear more than once). However, the 
section on DTSTAMP reads:

4.8.7.2 Date/Time Stamp

   Property Name: DTSTAMP

   Purpose: The property indicates the date/time that the instance of
   the iCalendar object was created.

   Value Type: DATE-TIME

   Property Parameters: Non-standard property parameters can be
   specified on this property.

   Conformance: This property MUST be included in the "VEVENT", "VTODO",
   "VJOURNAL" or "VFREEBUSY" calendar components.

   Description: The value MUST be specified in the UTC time format.

So,clearly, the DTSTAMP property is not optional. I suppose this should be 
changed in the grammar? 
Or is it really optional and section 4.8.7.2 is wrong?

Cheers,
Reinhold
- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at
 * K Desktop Environment, http://www.kde.org/, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Jun 12 06:21:32 2006

Hi Reinhold,

The ABNFs are currently not in agreement with the text specified
in the Conformance section of DTSTAMP, DTSTART and UID.

The ABNF will be fixed.

Cheers,
Bernard

Reinhold Kainhofer wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi all,
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.3 (GNU/Linux)
> 
> iD8DBQFEieStTqjEwhXvPN0RAqZ0AJ9V/uW6TfV3nDMrXtAsDU/jzH3jowCgmXD9
> P3/6q17H2/DcQmmIxYD+rK0=
> =dOi8
> -----END PGP SIGNATURE-----
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: jeffrey at osafoundation.org (Jeffrey Harris)
Date: Mon Jun 12 13:28:52 2006

Hi Folks,

Given that the RFC was confused, I'd like to put in a vote in favor of
choosing optional for DTSTAMP, not MUST.  Lots of iCalendar in the wild
doesn't have a DTSTAMP, and I don't see a compelling reason for
requiring it (although I'd be happy to be informed of compelling reasons).

Sincerely,
Jeffrey